Edge migration should tell you to close the browser before attempting to migrate
IME the databases stay locked, and that even lasts a few seconds after the last Edge window disappears. While we can easily tell users to close the browser (by setting sourceLocked on the migrator object to true), I don't think we currently implement a way to check and wait for the source to be unlocked, or something like this... which it might be worth doing.
